
float c1 = 0;

int zoom = 1;

void setup() {
  size(822, 633);
  smooth();
  background(255);
  stroke(0);
  line(width/2, 0, width/2, height);
  line(0, height/2, width, height/2);
  String[] lines = loadStrings("data.txt");

  for (int i = 0; i < lines.length; i++) {
    // Split this line into pieces at each tab character
    String[] pieces = split(lines[i], '\t');
    // Take action only if there are two values on the line
    // (this will avoid blank or incomplete lines)
    if (pieces.length == 10) {
      float angle1 = float(pieces[0]);
      int x2 = int(pieces[1]);
      int x3 = int(pieces[2]);
      float a1 = float(pieces[3]);
      float b1 = float(pieces[4]);
      float a2 = float(pieces[5]);
      float b2 = float(pieces[6]);
      float c2 = float(pieces[7]);
      int transX = int(pieces[8]);
      int transY = int(pieces[9]);

      function(a1, b1, c1, 0, zoom*x2, angle1, transX, transY);
      function(a2, b2, c2, zoom*x2, zoom*x3, angle1, transX, transY);
      println(angle1+"\t"+x2+"\t"+x3+"\t"+a1+"\t"+b1+"\t"+a2+"\t"+b2+"\t"+c2+"\t"+transX+"\t"+transY);
    }
  }
}
void draw () {
}

void function (float a, float b, float c, int lowbound, int upbound, float angle, int translateX, int translateY) {
  pushMatrix();
  translate(translateX, translateY);
  rotate(PI);
  scale(-1, 1);
  rotate(angle);
  for (int x=lowbound; x<upbound; x++) {
    float f1 = map(x, -width, width, -width/zoom, width/zoom);
    float f2 = map(x+1, -width, width, -width/zoom, width/zoom);
    float ff1 = a*pow(f1, 2)+b*f1+c;
    float ff2 = a*pow(f2, 2)+b*f2+c;
    if (x < upbound && x > lowbound) {
      
      stroke(0);
      strokeWeight(1);
   point(x, ff1);
   //   line(x, ff1, x+1, ff2);
    }
  }
popMatrix();}

